package com.prolog.cs.biz.inbound.dto.print;

import java.io.Serializable;

/**
 * 入库验收汇总table数据打印类
 * 
 * @author Xiong
 *
 */
public class RqcHzPrintDTO implements Serializable {

	private static final long serialVersionUID = 1142861088881285792L;

	// 商品条码
	private String itemCode;

	// 商品名称
	private String itemName;

	// 商品规格
	private String specification;

	// 生产厂家
	private String manufacturerName;

	// 验收结果
	private String stockStatus;

	// 包装单位
	private String uom;

	// 包装含量
	private String conversionRate;

	// 单品总数量
	private String pieceQty;

	// 件数
	private String caseQty;

	// 零散
	private String oddPieceQty;

	// 批号
	private String manufacturerLotNum;
	// 生产日期
	private String productionDate;
	// 有效期至
	private String expiredDate;
	// 商品大类
	private String categoryName;

	// 退货原因
	private String rcvRtReason;

	public String getRcvRtReason() {
		return rcvRtReason;
	}

	public void setRcvRtReason(String rcvRtReason) {
		this.rcvRtReason = rcvRtReason;
	}

	public String getItemCode() {
		return itemCode;
	}

	public void setItemCode(String itemCode) {
		this.itemCode = itemCode;
	}

	public String getItemName() {
		return itemName;
	}

	public void setItemName(String itemName) {
		this.itemName = itemName;
	}

	public String getSpecification() {
		return specification;
	}

	public void setSpecification(String specification) {
		this.specification = specification;
	}

	public String getManufacturerName() {
		return manufacturerName;
	}

	public void setManufacturerName(String manufacturerName) {
		this.manufacturerName = manufacturerName;
	}

	public String getStockStatus() {
		return stockStatus;
	}

	public void setStockStatus(String stockStatus) {
		this.stockStatus = stockStatus;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public String getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(String conversionRate) {
		this.conversionRate = conversionRate;
	}

	public String getPieceQty() {
		return pieceQty;
	}

	public void setPieceQty(String pieceQty) {
		this.pieceQty = pieceQty;
	}

	public String getCaseQty() {
		return caseQty;
	}

	public void setCaseQty(String caseQty) {
		this.caseQty = caseQty;
	}

	public String getOddPieceQty() {
		return oddPieceQty;
	}

	public void setOddPieceQty(String oddPieceQty) {
		this.oddPieceQty = oddPieceQty;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getProductionDate() {
		return productionDate;
	}

	public void setProductionDate(String productionDate) {
		this.productionDate = productionDate;
	}

	public String getExpiredDate() {
		return expiredDate;
	}

	public void setExpiredDate(String expiredDate) {
		this.expiredDate = expiredDate;
	}

	public String getCategoryName() {
		return categoryName;
	}

	public void setCategoryName(String categoryName) {
		this.categoryName = categoryName;
	}

}
